package com.rf.psychological.scale.dao.dto;

import com.rf.psychological.scale.dao.model.SubjectEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * @Author:zzf
 * @Date:2022/8/16:10:19
 * @Description:量表dto类，增加价格
 */
@Getter
@Setter
public class SubjectEntityDto2 {

        public String id;

//        编号，用于排序
        public int no;

//        查询标志
        public String flag;

        //量表/认知任务名称
        public String name;

        //类型：0-量表；1-认知任务
        public String type;

        //        描述文字信息
        public String description;

//        是否热门测试
        public String isHot;

        //测试次数
        public int testNum;

        //最新测试
        public int isNew;

        //图片路径
        public String imageUrl;

//        上传人
        public String uploader;

//        量表英文名称
        public String eName;

//        量表文件名称
        public String fileName;

//        计分原则
        public String scoringPrinciple;

//        状态：0-可用(未检测)；1-不可用;2-通过；3-未通过
        public int status;

//        所含题目数量
        public int titleNum;

//        量表权限:public 私密  public 公开
        public String scaleLimit;

//        适用人群 ：0 全部  1 儿童 2 小学生 3中学及以上 4军警 5老年人
        public String men;

//        图表信息(若量表需要展示图表，不展示则显示无)
        public String iconInfo;

//        参考文献
        public String reference;

//        报告版本信息，默认为1---第一版本报告，详见SubjectConstant.class
        public Integer reportVersion;

    //价格
        public double price;

        //预计用时
        public int estimatedTime;


    public SubjectEntityDto2(SubjectEntity subjectEntity){
        this.id = subjectEntity.getId();
        this.no = subjectEntity.getNo();
        this.flag = subjectEntity.getFlag();
        this.name = subjectEntity.getName();
        this.type = subjectEntity.getType();
        this.description = subjectEntity.getDescription();
        this.isHot = subjectEntity.getIsHot();
        this.testNum = subjectEntity.getTestNum();
        this.isNew = subjectEntity.getIsNew();
        this.imageUrl = subjectEntity.getImageUrl();
        this.uploader = subjectEntity.getUploader();
        this.eName = subjectEntity.getEName();
        this.fileName = subjectEntity.getFileName();
        this.scoringPrinciple = subjectEntity.getScoringPrinciple();
        this.status = subjectEntity.getStatus();
        this.scaleLimit = subjectEntity.getScaleLimit();
        this.men = subjectEntity.getMen();
        this.iconInfo = subjectEntity.getIconInfo();
        this.reportVersion = subjectEntity.getReportVersion();
        this.reference = subjectEntity.getReference();
    }
}
